gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecChar

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for character properties.

Synopsis

- newtype ParamSpecChar = ParamSpecChar (ManagedPtr ParamSpecChar)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecChar o) => IsParamSpecChar o
- toParamSpecChar :: (MonadIO m, IsParamSpecChar o) => o -> m ParamSpecChar

# Exported types

newtype ParamSpecChar Source #

Memory-managed wrapper type.

Constructors

ParamSpecChar (ManagedPtr ParamSpecChar) |

#### Instances

Instances details

Eq ParamSpecChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecChar Methods (==) :: ParamSpecChar -> ParamSpecChar -> Bool Source # (/=) :: ParamSpecChar -> ParamSpecChar -> Bool Source #
BoxedPtr ParamSpecChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecChar Methods boxedPtrCopy :: ParamSpecChar -> IO ParamSpecChar Source # boxedPtrFree :: ParamSpecChar -> IO () Source #
ManagedPtrNewtype ParamSpecChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecChar Methods toManagedPtr :: ParamSpecChar -> ManagedPtr ParamSpecChar Source #
TypedObject ParamSpecChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecChar Methods glibType :: IO GType Source #
HasParentTypes ParamSpecChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecChar
type ParentTypes ParamSpecChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecChar type ParentTypes ParamSpecChar = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecChar o) => IsParamSpecChar o Source #

Type class for types which can be safely cast to `ParamSpecChar`, for instance with `toParamSpecChar`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecChar o) => IsParamSpecChar o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecChar

toParamSpecChar :: (MonadIO m, IsParamSpecChar o) => o -> m ParamSpecChar Source #

Cast to `ParamSpecChar`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.